uk.gov.hmrc.play.http.test

# ResponseMatchers

###
Related Docs: object ResponseMatchers | package test

#### trait ResponseMatchers extends ScalaFutures with IntegrationPatience

Linear Supertypes
IntegrationPatience, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
ResponseMatchers
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ResponseMatchers
2. IntegrationPatience
3. ScalaFutures
4. Futures
5. PatienceConfiguration
6. AbstractPatienceConfiguration
7. ScaledTimeSpans
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### trait FutureConcept[T] extends AnyRef

   Definition Classes
     Futures

2. #### final case class PatienceConfig extends Product with Serializable

   Definition Classes
     AbstractPatienceConfiguration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def body(expected: String): HavePropertyMatcher[Future[WSResponse], String]

   Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (body ("Invalid nino: !@£$%^&*^"))`

   Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (body ("Invalid nino: !@£$%^&*^"))`

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### implicit def convertScalaFuture[T](scalaFuture: Future[T]): FutureConcept[T]

   Definition Classes
     ScalaFutures

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### def interval(value: Span): Interval

    Definition Classes
      PatienceConfiguration

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def jsonContent(expected: String): HavePropertyMatcher[Future[WSResponse], JsValue] { val expectedAsJson: play.api.libs.json.JsValue }

    Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (jsonContent ("""{ "valid": true }"""))`

    Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (jsonContent ("""{ "valid": true }"""))`

16. #### def jsonProperty(path: JsPath): HavePropertyMatcher[Future[WSResponse], JsValue]

    Checks if a property is defined Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (jsonProperty (__ \ "valid"))`

    Checks if a property is defined Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (jsonProperty (__ \ "valid"))`

17. #### def jsonProperty[E](path: JsPath, expected: E)(implicit eReads: Reads[E]): HavePropertyMatcher[Future[WSResponse], String]

    Checks if a property is defined and has a specific value Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (jsonProperty (__ \ "valid", true))`

    Checks if a property is defined and has a specific value Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (jsonProperty (__ \ "valid", true))`

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### implicit val patienceConfig: PatienceConfig

    Definition Classes
      IntegrationPatience → AbstractPatienceConfiguration

22. #### final def scaled(span: Span): Span

    Definition Classes
      ScaledTimeSpans

23. #### def spanScaleFactor: Double

    Definition Classes
      ScaledTimeSpans

24. #### def status(expected: Int): HavePropertyMatcher[Future[WSResponse], Int]

    Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (status (204))`

    Enables syntax like: `resource("/write/audit").post(validAuditRequest) should have (status (204))`

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def timeout(value: Span): Timeout

    Definition Classes
      PatienceConfiguration

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def whenReady[T, U](future: FutureConcept[T])(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

32. #### final def whenReady[T, U](future: FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

33. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

34. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

### Inherited from IntegrationPatience

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped